Get the branding
GET
/api/v1/branding
const url = 'https://digize.com/api/v1/branding';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://digize.com/api/v1/branding \ --header 'x-api-key: <x-api-key>'The workspace’s logo, accent color, sender name, reply-to address, footer and whether emails say Powered by Digize.
Needs the settings:read permission.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Done
Media typeapplication/json
object
logoImageId
required
string | null
logoUrl
required
string | null
accent
required
string
senderName
required
string
replyTo
required
string
hidePoweredBy
required
boolean
footer
required
string | null
Example generated
{ "logoImageId": "example", "logoUrl": "example", "accent": "example", "senderName": "example", "replyTo": "example", "hidePoweredBy": true, "footer": "example"}What was sent isn’t valid (invalid).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}No key, or one that’s unknown, off or expired.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}The key doesn’t have the permission this needs.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Nothing has that id (not_found).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Over the rate limit; see retry-after.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}